DSDplus 2.8 + FMP24 tcp error

Status
Not open for further replies.

rujoesmith

Member
Joined
May 14, 2016
Messages
7
Im currently using:
DSDplus 2.8
FMP24 2.4

I cannot get DSD and FMP24 to establish a tcp link when trying to tune to a control channel. On the dsd CC side I get the error "TCP link version error" while on fmp24 CC i get "TCP error = 10053" I have attached a screenshot of the problem. Imgur: The most awesome images on the Internet

If i pipe the audio directly from sdr# via virtual cable, everything works as expected. I have also tried this on two separate machines with the same result as well as disabling antivirus/firewall. I have even removed the exceptions in windows firewall and re-added them by launching the apps.

FMP24-CC.bat:
FMP24 -i1 -o20001 -P62.0 -f853.875

CC.bat
DSDPlus -rc -i20001 -v3 -wsl400.2 -wss100.200 -wel0.1 -wcl0.445 -wes400.520 >>CC.log

FMP24.cfg
2.4
1024
64
15
5000 -6250 7500 12500 15000 25000
.
.\FMP-FreqList.csv
.\FMP-FreqList2.csv
miles
99.9
19.7163 -155.6241
 

M105

Member
Joined
Sep 13, 2005
Messages
397
It should work. Make sure you are really running DSD+ version 2.8 and not a 1.x version.
 

rujoesmith

Member
Joined
May 14, 2016
Messages
7
Yea I'm sure it's dsd+ 2.8, and fmp24, thanks for the suggestion though. Do you know if there are any known incompatibilities with Windows 10? I have tried it on both my laptop and desktop with the exact same result.
 

rujoesmith

Member
Joined
May 14, 2016
Messages
7
I believe I found the reason the TCP connection is failing. FMP24 is not attempting to connect on the port specified in the batch file. I have confirmed this in the windows firewall logs. It appears to start on port 49968 and increment by one every second until it crashes. Here is a sample of the windows firewall log.

2016-05-18 02:59:42 ALLOW TCP 127.0.0.1 127.0.0.1 49968 20001 0 - 0 0 0 - - - SEND
2016-05-18 02:59:42 ALLOW TCP 127.0.0.1 127.0.0.1 49968 20001 0 - 0 0 0 - - - RECEIVE
2016-05-18 02:59:42 ALLOW TCP 127.0.0.1 127.0.0.1 49969 20001 0 - 0 0 0 - - - SEND
2016-05-18 02:59:42 ALLOW TCP 127.0.0.1 127.0.0.1 49969 20001 0 - 0 0 0 - - - RECEIVE
2016-05-18 02:59:43 ALLOW TCP 127.0.0.1 127.0.0.1 49970 20001 0 - 0 0 0 - - - SEND
2016-05-18 02:59:43 ALLOW TCP 127.0.0.1 127.0.0.1 49970 20001 0 - 0 0 0 - - - RECEIVE
 

cg

Member
Premium Subscriber
Joined
Dec 13, 2000
Messages
3,968
Location
Connecticut
Not with windows 10 but perhaps other programs you have running. Try different port numbers. Are those .bat files you posted cut and pasted or retyped? Sometimes folks have minor errors in the originals.

chris
 

creoden

Member
Joined
Jul 6, 2010
Messages
3
I'm getting the same error on every computer I try DSDPlus 2.8 on (Win 7, 10), I'm wondering if there was a problem with DSDPlus in fastlane I received.
 

cg

Member
Premium Subscriber
Joined
Dec 13, 2000
Messages
3,968
Location
Connecticut
I have it running perfectly on (5) Windows 10 computers, a laptop & 4 desktops.
Perhaps you can create a brand new folder and start over like it was a new install?

chris
 

creoden

Member
Joined
Jul 6, 2010
Messages
3
Tried that on two separate computers.

Downloaded DSDPlus 1.101, Extracted, and then extracted DSDPlus 2.8 in to it, replacing all files. both get the "TCP link version error"
 

rujoesmith

Member
Joined
May 14, 2016
Messages
7
Not with windows 10 but perhaps other programs you have running. Try different port numbers. Are those .bat files you posted cut and pasted or retyped? Sometimes folks have minor errors in the originals.

chris
they are cut and pasted, and i have tried a variety of different ports with no success :/
 

slicerwizard

Member
Joined
Sep 19, 2002
Messages
7,084
Location
Toronto, Ontario
Tried that on two separate computers.

Downloaded DSDPlus 1.101, Extracted, and then extracted DSDPlus 2.8 in to it, replacing all files. both get the "TCP link version error"
Then you are using the new DSD+ (2.8) with an old FMP or FMPA?

Notes.txt says the 2.8 release only updated DSD+. The 2.5 release updated FMP24 (2.4) and FMPA (2.1) - those are the versions that DSD+ 2.8 works with.

So extract the 2.5 release to get the updated FMP24 and FMPA, then extract the 2.8 release to get the latest DSD+.

DSD+ 2.8 will not work with any version of FMP through a TCP link (you'll get a TCP link version error, just like you said), so you're using dongles, you have to be using FMP24, not FMP.
 

creoden

Member
Joined
Jul 6, 2010
Messages
3
I Just got on to fastlane and only received 2.8, copied over all the files in 2.8 and it didn't work, should I email the fastlane email and ask for the 2.5 files?

the 2.8 has FMP24 2.4 and FMPA 2.1, and I am calling FMP24 in the batch file.

fmp24.bat
FMP24 -i3 -o20001 -P16.6

dsd.bat
DSDPlus -rc -i20001
 
Last edited:

natedawg1604

Member
Premium Subscriber
Joined
Jun 29, 2013
Messages
2,147
Location
Colorado
I Just got on to fastlane and only received 2.8, copied over all the files in 2.8 and it didn't work, should I email the fastlane email and ask for the 2.5 files?

the 2.8 has FMP24 2.4 and FMPA 2.1, and I am calling FMP24 in the batch file.

fmp24.bat
FMP24 -i3 -o20001 -P16.6

dsd.bat
DSDPlus -rc -i20001
Can you run only FMP24, directly from the command line? What about DSD+? What error messages do you get?
 

slicerwizard

Member
Joined
Sep 19, 2002
Messages
7,084
Location
Toronto, Ontario
I Just got on to fastlane and only received 2.8, copied over all the files in 2.8 and it didn't work, should I email the fastlane email and ask for the 2.5 files?

the 2.8 has FMP24 2.4 and FMPA 2.1,
Ah, ok - then disregard what I wrote.

And DSD+ 2.10 just showed up in my inbox and it has a new FMP24, so you should have newer software to try out by now (or soon)


and I am calling FMP24 in the batch file.

fmp24.bat
FMP24 -i3 -o20001 -P16.6

dsd.bat
DSDPlus -rc -i20001
So you're working off your third dongle and sending via port 20001? I take it you don't have any other copies using port 20001? What exactly are the symptoms you're having? Found it - you said it was a link version error - that's an old FMPx/DSD+ linked to a new FMPx/DSD+. Is it possible that you have another (older) copy of FMP running that's using port 20001 as well?
 

rujoesmith

Member
Joined
May 14, 2016
Messages
7
I am pretty sure it has to be something wrong with the software, possibly corrupt or a mislabeled version? I have triple checked the batch files, i am 100% sure they are correct. I have tried running on 3 different machines, my laptop, my desktop, and a virtual machine with a fresh install of windows 10. Each time I downloaded brand new copies of dsd+1.101, and the latest fast lane version that was emailed to me. In all 3 attempts to get it working the results were exactly the same.
 

DSDPlus

Member
Joined
Jul 24, 2014
Messages
377
The software has been tested on Windows 10. Link version error is caused by mixing old and new programs.
 

cg

Member
Premium Subscriber
Joined
Dec 13, 2000
Messages
3,968
Location
Connecticut
I just downloaded the latest free version, edited the .FREQUENCIES file and ran it fine on Windows 10. I then added the latest FL version I received to it. The only problem I had was I did not have a copy of FMP24.cfg in my download and had to get that from my working copy. Once I did that, each supplied batch file (unmodified) ran without error.
I would suspect something else is running on your computers or you have some setting that prevents the ports from communicating properly.

chris
 
Status
Not open for further replies.
Top